import { OnInit } from '@angular/core';
import { FormProperty } from '../../models/FormProperty';
import { DataType } from '../../models/DataType';
import * as i0 from "@angular/core";
export type BoolInputType = 'switch' | 'checkbox' | 'radio';
export declare class FormControlComponent implements OnInit {
    dataType: DataType;
    value: any;
    boolInputType: BoolInputType;
    formProperties: FormProperty[];
    ngOnInit(): void;
    initializeDefaultValue(): void;
    onFileSelect(event: any, property: FormProperty): void;
    formatLabel(property: any): string;
    optionsArray(property: any): any;
    onSelectedFileChange(files: File[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormControlComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormControlComponent, "form-control", never, { "dataType": { "alias": "dataType"; "required": false; }; "value": { "alias": "value"; "required": false; }; "boolInputType": { "alias": "boolInputType"; "required": false; }; "formProperties": { "alias": "formProperties"; "required": false; }; }, {}, never, never, false, never>;
}
